curl --request GET \
--url https://api.streamkap.com/transforms/{transforms_id}/job_status \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"job_name": "<string>",
"status": "RUNNING",
"start_time": "2023-11-07T05:31:56Z"
}curl --request GET \
--url https://api.streamkap.com/transforms/{transforms_id}/job_status \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"job_name": "<string>",
"status": "RUNNING",
"start_time": "2023-11-07T05:31:56Z"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Successful Response
Transform job status values.
These values match the statuses returned by get_transform_status() in transforms/dynamic_utils.py. The status is computed from ClickHouse metrics that track each phase of transform execution.
RUNNING, INITIALIZING, DEPLOYING, CANCELLING, CANCELED, CREATED, RESTARTING, FAILING, FAILED, STOPPED, UNKNOWN Was this page helpful?